Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7493 - libtool package provides source but no compiled library
Summary: libtool package provides source but no compiled library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtool
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 20:37 UTC by jfm3
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-22 16:33:12 UTC


Attachments (Terms of Use)

Description jfm3 1999-12-01 20:37:38 UTC
OK, maybe there's a reason but I don't know it.

The libtool package that comes with redhat simply dumps a bunch of sources
in your share directory, but no compiled libraries.

As a result, the build process for an Open Source project I'm helping with
(http://www.quasimodo.org) is butt-ugly.

Why is there no libltdl.* in the libtool rpm?

(jfm3)

Comment 1 Jeff Johnson 1999-12-02 14:38:59 UTC
Adding the library to libtool would necessitate changing libtool from a noarch
to a per-arch package. So far, there is no Red Hat package that needs the
functionality supplied by the libtool libraries. Can you supply some more
details regarding why the libtool libraries have to be included? Meanwhile,
it's pretty trivial to make an arch-specific libtool package including the
libraries if that simplifies your project.

Comment 2 Jeff Johnson 1999-12-22 16:33:59 UTC
Fixed in libtool-1.3.3-2 in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.